@import url('https://fonts.googleapis.com/css2?family=Mona+Sans:ital,wght@0,200..900;1,200..900&display=swap');
@import 'dist/jquery.fancybox.css';
@import 'menu.css';

html {
    scroll-behavior: smooth;
}

:root {
    --white: #eee;
    --black: #000; 
    --text: #fff; 
    --alternate: #99aae0; 
	--alternate2: #d40c0c; 
    --darker: #1e552a; 
	--transgrey: rgba(0,0,0,0.9);
    --transdark: rgba(0,0,0,0.5);
    --shadow: rgba(0,0,0,0.7); 
	--othercolour: #d82727; 
	--othercolour2: #f22929; 
	--pale: #f0f0f0; 
    --transcolour: rgba(18, 79, 155, 0.5);
    --green: #9BC500;  
    --lightgrey: #f0f0f0; 
    --evenlighter: #3a3a3a; 
    --abitdarker: #eaeaea; 
    --width: 900px; 
    --charcoal: #222; 
    --grey: #333; 
    --nearlyblack: #111;
    }

    .notreffreshed45{
        display: none;
    }
html {
    color-scheme: dark;
} 

body {
    position: relative;
	background-color: var(--charcoal);
	color: var(--text); 
	margin: 0px;
	padding: 0px;
	font-family: "Mona Sans", system-ui,  sans-serif, sans;
}
img {
	border: 0;
	max-width: 100%;
	height: auto;
    display: block;
    margin-inline:auto;
}
a{
    color: var(--alternate);
    text-decoration-style: dotted;
    transition: color 0.4s;
    text-decoration-thickness: 2px;
}
a:hover{
    color: var(--white);
    text-decoration-style: dotted;
}
h1{
    font-weight: 900;
    text-transform: uppercase;
} 
h2, 
h3,
h4, 
h5{
    font-weight: 400;
}
h5{
    font-size: 1.5rem;
    margin-bottom: 0;
}
cite{
    font-style:unset; 
}
.quote{
    text-align: right;
}
::marker{
    color: var(--alternate); 
}
input, textarea, select {
	font-family: system-ui,  sans-serif, sans;
	font-size: 1rem;
	padding: 7px;
	background-color: #fff;
	background-color: var(--white);
	border: 2px solid var(--alternate);
	max-width: 100%;
    color: var(--alternate); 
}
header{
    margin: auto;
    display: grid;
    gap: 0.25rem; 
    background-color: var(--alternate2);
    scroll-snap-type: y mandatory;
}
header > div:first-of-type{
    padding: 1rem;
}
header img{
    max-width: 500px;
}
header > div{
    align-items: center;
    justify-content: center;
    text-align: center;

}
header > div:has(img){
    display: block;
    align-content: center;
}
.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}
.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}
/* .videoframe.video{
    position: relative;
    height: 41vw;
}
.vimeo-wrapper, .vimeo-wrapper2 {
    width: 100%;
    background-size: cover; 
    overflow: hidden;
    position: relative; 
    background-image: url('images/Betty-Cook---John-Connor.jpg'); 
    background-position: center center; 
    background-color: var(--black);
  }
  .vimeo-wrapper iframe,
.vimeo-wrapper object,
.vimeo-wrapper embed {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('images/Betty-Cook---John-Connor.jpg'); 
  background-position: center center; 
  background-color: var(--black);
}
.vimeo-wrapper:after {
    padding-top: 45.21%;
    display: block;
    content: ""; 
}
.vimeo-wrapper2{
    max-width: var(--width); 
    margin: auto;
}
.vimeo-wrapper2:after {
    padding-top: 56.25%;
    display: block;
    content: ""; 
}
.vimeo-wrapper iframe, .vimeo-wrapper2 iframe {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0; 
    background-color: #000;
} */
section.fronthero h1, 
section:first-of-type h1, 
section.page h2:first-child, 
section.page.story h2, 
section.justheader h1 {
	font-size: 4rem;
}
section > div{
    max-width: var(--width); 
    margin: auto;
    padding: 2rem;
    line-height: 1.7;
}
section.fronthero {
    display: grid;
    align-content: center;
    justify-content: center;
    text-align: center;
}
section.fronthero img{
    margin: auto;
}
section.fronthero h1, 
section:first-of-type h1, 
section.page h2:first-child, 
section.page.story h2{
    line-height: 1;
    margin-block: 1rem; 
    text-align: center;
}
section.page.story h2{}
section.hero > div, 
section.producer > div
{
    display: grid;
    gap: 1rem; 
}
section.page.story h2{
    margin-top: 200px;
} 
section.hero  img, 
section.producer  img{
    display: block;
    margin: auto; 
}
section h2{
    font-size: 3.5rem;
    font-family: "Atma", system-ui;
    line-height: 1;
}
section h3{
    font-size: 2rem;
    line-height: 1;
}
section h2:first-child,
section.story h2{
    font-weight: 900;
    font-size: 4rem;
    text-transform: uppercase;
    line-height: 1;
    margin-block: 1rem;
}
section h4{
    font-size: 1.5rem;
    line-height: 1;
}
section.hero p{
    font-size: 1.4rem;
}
section:nth-of-type(2n) {
	background-color: var(--grey);
}
section:nth-of-type(2n+1) {
	background-color: var(--charcoal);
}
/* section {
    font-size: 1.2rem;
} */
/* section p, 
footer p{
    max-width: 800px;
    margin-inline: auto; 
} */
footer{
    background-color: var(--nearlyblack);
}
footer > div{
    max-width: var(--width); 
    margin: auto;
    padding: 2rem;
    line-height: 1.7;
    font-size: 1.2rem;
}
td{
    padding: 0.25rem 0.5rem 0.25rem 0;
    vertical-align: top;
}
.page{
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 60vh;
    border-bottom: 1rem solid var(--alternate2);
}
section.redstripe{
    border-bottom: 1rem solid var(--alternate2);
}
.page.front{
    aspect-ratio: 16/9;
    background-position: top center;
    height: unset; 
    min-height: unset;
    /* background-attachment: unset; */
}
.page.story{
    aspect-ratio: 16/9;
    background-position: top center;
    height: unset; 
    min-height: unset;
    justify-content: left;
}

.page h2{
    font-size: clamp(2.5rem, 10vw, 15rem);
    text-transform: uppercase;
    padding: 2rem; 
}
.page:has(h2){
    display: grid;
    align-items: center;
    justify-content: center;
}
.flexpics2{
    display: grid;
    gap: 1rem;
    background-color: var(--black);
    border-block: 1rem solid var(--black); 
}
.flexpics2 > div{
    display: grid;
    background-color: var(--black);
}

.flexpics2 h3{
    color: var(--white); 
    font-size: 4rem;
    text-align: center;
    text-transform: uppercase;
    text-shadow: 0 0 5px var(--shadow);
}  
.flexpics2 a{
    color: var(--white);
    text-decoration: none;
    display: grid;
    justify-content: center;
    align-items: center;
}
.flexpics2 img{
    object-fit: cover;
    object-position: center;
    height: 100%;
    width: 100%;
    display: block;
    aspect-ratio: 1;
}
.flexpics2{
    grid-template-columns: repeat(auto-fill,minmax(calc(200px + 7vw), 1fr));
}
.iw{
    padding: 1rem;
    font-size: 0.9rem;
    text-align: right;
}
.desktop{
    display: none; 
}
.mobile{
    display: block;
}
.grecaptcha-badge{
    z-index: 20;
}
.oops {
	font-size: 250px;
	float: right;
	line-height: 250px;
	color:#000;
}
.contactform{
	margin: auto;
	transition: 0.5s;
}
.contactform div{
    padding: 0.5rem;
}
.contactform input[type=submit],
.contactform input[type=button],
.contactform input[type=text],
.contactform input[type=email],
.contactform input[type=date],
.contactform input[type=tel],
.contactform textarea,
.contactform label
{
    font-size: 16px;
	border: 2px solid var(--green); 

}
.contactform * + p{
    margin-top: 0; 
}
.contactform label {
    display:block;
    margin-bottom: 10px;
}
.contactform label > span{
    display: inline-block;
}
.contactform input[type=text],
.contactform input[type=email],
.contactform input[type=tel],
.contactform input[type=password],
.contactform input[type=date],
.contactform input[type=number]
{
    background: transparent;
    outline: none;
    padding: 10px;
}
.contactform textarea{
    padding: 10px;
    background: transparent;
    outline: none;
    overflow: hidden;
    resize:none;
    min-height:100px;
}

.contactform textarea:focus,
.contactform input[type=text]:focus,
.contactform input[type=email]:focus,
.contactform input[type=email] :focus
{
    border: 2px solid var(--green);
}

.contactform input[type=submit],
.contactform input[type=button]{
    background: var(--green);
    border: none;
    padding: 8px 10px 8px 10px;
    color: #fff;
	width: 300px;
}
.contactform input[type=submit]:hover,
.contactform input[type=button]:hover{
background: #394D61;
}
.contactform input:not([type="submit"]),
.contactform textarea {
    border: 2px solid var(--green);

}
.contactform:focus-within input:not([type="submit"]):invalid,
.contactform:focus-within textarea:invalid {
	border: 2px solid red !important;

}
.contactform:focus-within input:not([type="submit"]):valid,
.contactform:focus-within textarea:valid {
	border: 2px solid green !important;

}
.contactform:focus-within input[type="radio"]:invalid{
	outline: 2px solid red;
    outline-offset: 2px;
}
.contactform:focus-within input[type="checkbox"]:invalid{
	outline: 2px solid red;
    outline-offset: 2px;
}
.contactform div:nth-of-type(4n+3), 
.contactform div:nth-of-type(4n+4){
    background-color: var(--evenlighter);
}
.contactform > div{
    position: relative;
}
.contactform > div:has(textarea:required)::after, 
.contactform > div:has(input:required)::after, 
.contactform > div:has(select:required)::after{
    content: "\002A";
    color: #800; 
    font-size: 2rem;
    inset: 0 1rem auto auto; 
    position: absolute;
}
.contactform > div:has(textarea:required)::after{
    inset: 0 -1rem auto auto; 
}
.centred{
    text-align: center;
}
button{
    border: 0;
    padding: 0;
}
button a{
    color: var(--white);
    background-color: var(--alternate2);
    transition: 0.4s;
    padding: 1rem;
    text-decoration: none;
    font-size: 1.2rem;
    text-transform: uppercase;
    font-weight: 800;
}
button a:hover{
    background-color: var(--evenlighter);
}
.pictures{
    display: grid;
    gap: 1rem; 
}
.pictures > div img{
    margin: auto;
}
table img{
    display: block;
    margin: auto;
}
.characters{
    display: grid;
    gap:1rem; 
}
.characters img{
    display: block;
    margin: auto;
    width: 220px;
}
.twoimages{
    display: grid;
    gap: 1rem;
    margin: auto;
    text-align: center;
}



@media (min-width: 1024px) {
    section.hero > div, 
    section.producer > div{
        grid-template-columns: 1fr 1fr;
        gap: 2rem; 
        display: grid;
    }
    section img{
        border-radius: 0.25rem;
        display: block;
    }
    .vimeo-wrapper2{
        width: 800px;
    }
    table{
        display: grid;
        /* margin-inline: 2rem; */
    }
    tr{
        display: grid;
        grid-template-columns: 1fr 3fr;
    }
    td{
        display: block;
    }
    .desktop{
        display: block; 
    }
    .mobile{
        display: none;
    }
    /* header{
        grid-template-columns: 1fr 1fr;
    } */
    header > div:first-of-type{
        padding: 0;
    }
    .contactform {
    display: grid;
    grid-template-columns: 1fr 1fr;
    max-width: 835px;
    margin: auto;
}
.contactform label > span{
    width: 250px;
}
.contactform input[type=text],
.contactform input[type=email],
.contactform input[type=tel],
.contactform input[type=password],
.contactform input[type=date],
.contactform input[type=number]
{
    width: 275px;
}
.contactform textarea{
    width: 275px;
}
.contactform input[type=radio] + p {
    display: inline-block;
    padding-left: 1rem; 
}
    footer{
        grid-template-rows: 4fr 1fr;
        min-height: 60vh;
    }
    footer > div:has(button){
        justify-content: right;
        display: grid;
    }
    .pictures{
        grid-template-columns: 1fr 1fr;
    }
    .pictures.three{
    grid-template-columns: unset;
    display: flex;
}
    .pictures > div{
        aspect-ratio: 2/3;
}
    .pictures.square > div{
        aspect-ratio: 1;
}
    .pictures.landscape > div{
        aspect-ratio: 1.5;
}
    .pictures > div img{
    object-fit: cover;
    object-position: center center;
    height: 100%; 
    }
    section.fronthero h1, 
section:first-of-type h1, 
section.page h2:first-child, 
section.page.story h2, 
section.justheader h1{
    font-size: 8rem;

}
section.page.story h2{
    margin: 3rem auto 20vh  3rem;
} 
header img{
    padding: 2rem;
}
section.story h2{

    align-items: center;
}
section.page.story{
    align-items: end;

}
div.characters{
    grid-template-columns: 1fr 3fr ;
}
.twoimages{
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1rem; 
}
.twoimages div{
    display: grid;
    justify-content: center;
    align-content:  center; 
}
}




@media (min-width: 640px) {
.characters{
    grid-template-columns: 1fr 2fr;
}



.characters > div:has(img) img{
    object-fit: cover;
    object-position: center top;
    width: 220px;
    aspect-ratio: 1;
}
.characters > div:has(p){
    padding: 1rem; 
}
.portrait{
    display: block;
    margin: auto;
    width: 480px;
}

}

@media screen and (orientation:landscape)
and (min-width: 1200px) {
    section, 
    footer{
        display: grid;
        align-items: center;
        justify-content: center;
    }
    section{
        min-height: 100vh;
    }
    section > div, 
    footer > div{
        width: var(--width)
    }
    section p, 
    section ul, 
    footer p, 
    section.fronthero h1, 
    section h3, 
    section h2{
        max-width: 900px;
        margin-inline: auto; 
    }
    .page{
        background-attachment: fixed;
        min-height: 100vh;
    }
    .flexpics2{
        grid-template-columns: repeat(4,1fr);
    }
    section.page.story h2{
    margin: 3rem auto 40vh  3rem;
} 
} 


@media (prefers-reduced-motion) {
    .vimeo-wrapper iframe, 
    .vimeo-wrapper2 iframe{
        display: none;
    }

}








@media (max-width: 500px) {
    a[href^="mailto:"],
h1, 
h2
{
  overflow-wrap: break-word;
  word-wrap: break-word;
  -ms-word-break: break-all;
  word-break: break-all;
  word-break: break-word;
  -ms-hyphens: auto;
  -moz-hyphens: auto;
  -webkit-hyphens: auto;
  hyphens: auto;
}
    section > div, 
    footer > div{
        padding-inline: 1rem;
    }
    td{
        display: block; 
    }
    tr > td:first-child{
        font-weight: bold;
    }
    header h1{
        font-size: 3.5rem;
    }
    .flexpics2 img{
        aspect-ratio: unset;
    }
    header{
        padding: 2rem 1rem; 
    }
    .page{
        min-height: 80svw;
    }
    section.fronthero h1, 
    section h2:first-child,
    section.story h2,
    section:first-of-type h1, 
    section.page h2:first-child, 
    section.page.story h2, 
    section.justheader h1    {
        font-size: 2.5rem;
    }
    header img{
    max-width: 100%;
}
}